<% content_for('page_scripts') do -%>
  var last_type = "<%= @page.class_name %>";
  function load_tag_reference(part) {
    page_type = $F('page_class_name');
    popup = $('tag-reference-popup');
    if(last_type != page_type) {
      url = "<%= tag_reference_url %>";
      params = "class_name=" + page_type;
      new Effect.Highlight('tag-reference-link-'+ part);
      req = new Ajax.Request(url, { method: 'get', parameters: params, evalScripts: true });
    } else {
       center(popup);
       Element.toggle(popup);
    }
    return false;
  }
  var last_filter = "<%= default_filter_name %>";
  function load_filter_reference(part) {
    filter_type = $F("part_" + part + "_filter_id");
    popup = $('filter-reference-popup');
    if(last_filter != filter_type) {
      url = "<%= filter_reference_url %>";
      params = "filter_name=" + filter_type;
      new Effect.Highlight('filter-reference-link-'+ part);
      req = new Ajax.Request(url, { method: 'get', parameters: params, evalScripts: true });
    } else {
      center(popup);
      Element.toggle(popup);
    }
    return false;
  }
<% end -%>

<% content_for :page_css do %>
      #content #extended-metadata .fieldset {
        margin-left: 0;
        margin-right: 0;
        margin-bottom: .5em;
        padding: 0;
      }
      #content #extended-metadata .fieldset td.label {
        text-align: left;
        width: 15%;
      }
      #content #extended-metadata .fieldset td.field .textbox {
        width: 90%;
      }
<% end %>

<% if @page.new_record? -%>
<h1 id="new_page">New Page</h1>
<% else -%>
<h1 id="edit_page">Edit Page</h1>
<% end -%>

<form method="post" action="" enctype="multipart/form-data">
  <%= hidden_field "page", "lock_version" %>
  <div class="form-area">
    <p class="title">
      <label for="page_title">Page Title</label>
      <%= text_field "page", "title", :class => 'textbox', :maxlength => 255 %>
    </p>
    <div id="extended-metadata" class="row"<%= meta_visible(:meta) %>>
      <table class="fieldset">
        <% for meta in @meta %>
            <%= render :partial => "meta_row", :object => meta %>
        <% end %>
      </table>
    </div>
    <p class="more-or-less">
      <small>
        <a href="#" onclick="<%= toggle_javascript_for('extended-metadata') %> return false"<%= meta_visible(:meta_more) %> id="more-extended-metadata">More</a>
        <a href="#" onclick="<%= toggle_javascript_for('extended-metadata') %> return false"<%= meta_visible(:meta_less) %> id="less-extended-metadata">Less</a>
      </small>
    </p>
    <div id="tab-control">
      <div id="tabs" class="tabs">
        <div id="tab-toolbar">
          <%= link_to_function image('plus'), 'toggle_add_part_popup()', :title => 'Add Tab' %>
          <%= link_to_function image('minus'), 'if(confirm(\'Delete the current tab?\')) { tabControl.removeTab(tabControl.selected) }', :title => 'Remove Tab' %>
        </div>
      </div>
      <div id="pages" class="pages">
<%= render :partial => 'part', :collection => @page.parts %>
      </div>
    </div>

    <div class="row">
      <p><label for="page_layout_id">Layout</label>
        <%= select "page", "layout_id", [['<inherit>', '']] + Layout.find(:all).map { |s| [s.name, s.id] } %></p>
      <p><label for="page_class_name">Page Type</label>
        <%= select "page", "class_name", [['<normal>', 'Page']] + Page.descendants.map { |p| [p.display_name, p.name] }.sort_by { |p| p.first } %></p>
      <p><label for="page_status_id">Status</label>
        <%= select "page", "status_id", Status.find_all.map { |s| [s.name, s.id] }, {} %></p>
      <p id="publication-date" style="display: none;"><label for="page_published_at">Published At</label>
        <%= datetime_select "page", "published_at", :disabled => true %></p>
    </div>
    <span class="clear">&nbsp;</span>
    <%= updated_stamp @page %>
  </div>
  <% @buttons_partials.each do |partial| %>
    <%= render :partial => partial %>
  <% end %>
  <p class="buttons">
    <%= save_model_button(@page) %> <%= save_model_and_continue_editing_button(@page) %> or <%= link_to "Cancel", page_index_url %>
  </p>
</form>

<% content_for :popups do -%>
  <div class="popup" id="add-part-popup" style="display: none">
    <div id="busy" class="busy" style="display: none"><%= image 'spinner.gif' %></div>
    <h3>Add Part</h3>
    <% form_remote_tag(
      :url => page_add_part_url,
      :update => "pages", 
      :position => :bottom, 
      :loading => 'part_loading()', 
      :complete => 'part_added()',
      :condition => 'valid_part_name()'
    ) do %> 
      <div>
        <%= hidden_field_tag 'index', @index, :id => 'part-index-field' %>
        <%= text_field_tag "part[name]", "", :id => 'part-name-field', :maxlength => 100 %> 
        <%= submit_tag "Add Part", :id => 'add-part-button' %>
      </div>
      <p><%= link_to_function 'Close', "$(this).up('.popup').hide()", :class => 'close-link' %></p>
    <% end %>
  </div>
  <div class="popup" id="tag-reference-popup" style="display:none;">
    <div style="float:right">Search Tags: <input type="text" id="search-tag-reference" /></div>
    <h3>Available Tags for <span id="page-type"><%= @page.class.display_name %></span></h3>
    <div id="tag-reference"><%= tag_reference(@page.class.name) %></div>
    <p><%= link_to 'Close', '#', :class => 'close' %></p>
  </div>
  <div class="popup" id="filter-reference-popup" style="display:none;">
    <h3><span id="filter-type"><%= default_filter_name %></span> Reference</h3>
    <div id="filter-reference"><%= filter_reference(default_filter_name) %></div>
    <p><%= link_to_function 'Close', "Element.hide('filter-reference-popup')", :class => 'close-link' %></p>
  </div>
<% end -%>
